; ########################################
; MESSAGEREQUESTERAPPICON
; V 9 (02.03.2013)
; (C) BY NILS HINTZE
; http://www.elektronikpage.net/purebasic/
; ########################################



#MB_USERICON = $80



; ########################################
; MessageRequesterAppIcon()
; Zeigt einen MessageRequester mit dem Icon des Executables. ParentWindowID ist
; die WindowID des bergeordneten Fensters und kann #Null sein, wenn dieses
; nicht existiert.
; ########################################
Procedure MessageRequesterAppIcon(ParentWindowID, Caption$, Text$, Flags = #MB_OK, lpszIcon = 1)
  Protected MBP.MSGBOXPARAMS
  With MBP
    \cbSize = SizeOf(MSGBOXPARAMS)
    \hwndOwner = ParentWindowID
    \hInstance = GetModuleHandle_(#Null)
    \lpszText = @Text$
    \lpszCaption = @Caption$
    \dwStyle = Flags | #MB_USERICON
    \lpszIcon = lpszIcon
    \lpfnMsgBoxCallback = #Null
    \dwLanguageId = 0
  EndWith
  ProcedureReturn MessageBoxIndirect_(@MBP)
EndProcedure



; IDE Options = PureBasic 5.10 (Windows - x86)
; Folding = -
; EnableXP